
public class PrintSpooler {
    private static PrintSpooler spooler; // forces single instance
    private PrintSpooler() {  // NOTE:: constructor is private
    }
    public static synchronized PrintSpooler getSpooler() {
        if (spooler == null)  // only gets called once per lifetime
            spooler =  new PrintSpooler();
        return spooler;
    }
    public void print(String s) {
        System.out.println(s);
    }
}
